/*
	Copyright 2007-2009 - Marc Dumoulin

	This file is part of Open-Maker software.

	Open-Maker software is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	Open-Maker software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/
#include <QApplication>
#include <QTranslator>
#include <QLocale>
#include <QLibraryInfo>

#include "mainwindow.h"

int main(int argc,char** argv) {
    QApplication app(argc, argv);
	
	app.setApplicationName("QLife");
	app.setOrganizationDomain("http://www.open-maker.tuxfamily.org");
	app.setOrganizationName("Open Maker");
	app.setApplicationVersion("1.1");
	
	QTranslator qtTranslator;
	qtTranslator.load("qt_" + QLocale::system().name(), QLibraryInfo::location(QLibraryInfo::TranslationsPath));
	app.installTranslator(&qtTranslator);
	
	QString locale;
	locale = QLocale::system().name().section('_', 0, 0);
    QTranslator translator;
    translator.load(QString(":/"+qApp->applicationName()+"_") + locale);
    app.installTranslator(&translator);
	
    MainWindow w;
    w.show();
    return app.exec();
}
