/*
	Copyright 2007-2009 - Marc Dumoulin

	This file is part of Open-Maker software.

	Open-Maker software is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	Open-Maker software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/
#ifndef MAINWINDOW_H
	#define MAINWINDOW_H

#include <QMainWindow>
#include <QPushButton>
#include <QSlider>
#include <QGraphicsView>
#include <QLabel>
#include <QTimer>
#include <QSpinBox>
#include <QMenu>
#include <QMenuBar>
#include <QApplication>
#include <QSettings>
#include <QMessageBox>
#include <QFile>
#include <QFileDialog>
#include <QTextStream>
#include <QHBoxLayout>
#include <QVBoxLayout>

#include "qlifegraphicsview.h"

	class MainWindow : public QMainWindow {
		Q_OBJECT
		public :
			MainWindow(QWidget* parent = 0);
		public slots :
			void openFile();
			void saveFile();
			void rememberSettings(QAction* a);
			void saveSettings();
			void adjustToMinimalSize();
			void setInterval(int value);
			void stateChange();
			void nextTurn();
			void reset(bool isAtStartup = false);
			void callNAColor();
			void callAColor();
			void callDefColor();
			void about();
		private :
			int numberOfNeighboor(int x,int y,const QList<QList<bool> >& state);
		private :
			QLifeGraphicsView* m_view;
			QLabel* m_numXLabel;
			QLabel* m_numYLabel;
			QLabel* m_speedLabel;
			QSpinBox* m_numX;
			QSpinBox* m_numY;
			QPushButton* m_reset;
			QPushButton* m_state;
			QPushButton* m_fill;
			QPushButton* m_next;
			QPushButton* m_reverse;
			QPushButton* m_clear;
			QSlider* m_speed;
			QTimer* m_timer;
			bool m_active;
	};

#endif
